package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.bopdecbo.Dbe;
import com.brilliance.isc.vo.bop.ArgmodManagerVo;
import com.brilliance.isc.vo.bop.DbeResultVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface DbeMapper {
    int insert(Dbe record);

    int insertSelective(Dbe record);

    int updateByPrimaryKeySelective(Dbe record);

    int updateByPrimaryKey(Dbe record);

    int deleteByPrimaryKey(Dbe record);

    int deleteByIds(Collection<Object> collection);

    Dbe selectByPrimaryKey(Dbe record);

    Dbe selectByBuscode(@Param("buscode") String buscode);

    int dyncDelete(Map<String,Object> dyncMap);

    List<Dbe> dyncRead(Map<String,Object> dyncMap);

    List<Dbe> selectByArgmodVo(ArgmodManagerVo argmodVo);

    /**
     * 需要导出的数据
     * @param basInrs
     * @return
     */
    List<DbeResultVo> selectByBasInrs(@Param("basInrs") List<String> basInrs);
}
